Skip to main content

createOrUpdateSecretFinding

Create or Update a Secret finding

createOrUpdateSecretFinding(
input: CreateOrUpdateSastFindingInput!
): CreateOrUpdateSecretFindingPayload

Arguments​

createOrUpdateSecretFinding.input ● CreateOrUpdateSastFindingInput! non-null input​

Parameters for CreateOrUpdateSecretFinding

Type​

CreateOrUpdateSecretFindingPayload object​

Autogenerated return type of CreateOrUpdateSecretFinding.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the assets query first and use data.assets.collection[].id as assetId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateSecretFinding($input: CreateOrUpdateSastFindingInput!) {\n createOrUpdateSecretFinding(input: $input) { clientMutationId issue { id title status } }\n}","variables":{"input":{"assetId":1,"title":"example","description":"example","codeSnippet":"example","vulnerableLine":1,"firstLine":1,"fileName":"example"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute